"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _componentIcon = require("@cloudflare/component-icon");

var _styleContainer = require("@cloudflare/style-container");

var _react = _interopRequireDefault(require("react"));

var _TextButton = _interopRequireDefault(require("./TextButton"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var IconTextWrapper = (0, _styleContainer.createStyledComponent)(function () {
  return {
    display: 'flex',
    alignItems: 'center'
  };
}, 'div');

var IconTextButton = function IconTextButton(_ref) {
  var onClick = _ref.onClick,
      iconType = _ref.iconType,
      _ref$iconPosition = _ref.iconPosition,
      iconPosition = _ref$iconPosition === void 0 ? 'left' : _ref$iconPosition,
      children = _ref.children;
  return /*#__PURE__*/_react.default.createElement(_TextButton.default, {
    type: "button",
    onClick: onClick
  }, /*#__PURE__*/_react.default.createElement(IconTextWrapper, null, iconPosition === 'left' && /*#__PURE__*/_react.default.createElement(_componentIcon.Icon, {
    type: iconType,
    mr: 1,
    ariaLabel: iconType
  }), children, iconPosition === 'right' && /*#__PURE__*/_react.default.createElement(_componentIcon.Icon, {
    type: iconType,
    ml: 1,
    ariaLabel: iconType
  })));
};

var _default = IconTextButton;
exports.default = _default;